NatCubicSpline.CLOSED (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class NatCubicSpline.CLOSED

    java.lang.Object
      com.bbn.openmap.omGraphics.NatCubicSpline
          com.bbn.openmap.omGraphics.NatCubicSpline.CLOSED

Enclosing class:
  NatCubicSpline

    public static class NatCubicSpline.CLOSED

extends NatCubicSpline

Moved from an outside class, the closed case of a NatCubicSpline.

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.omGraphics.NatCubicSpline
`NatCubicSpline.CLOSED`

Constructor Summary
`NatCubicSpline.CLOSED()`

Method Summary
`double[]` | `calc(double[] llpoints, double precision)` Calculates a float lat/lon cubic spline
`float[][]` | `calc(int[] xpoints, int[] ypoints)` Calculates a cubic spline polyline

Methods inherited from class com.bbn.openmap.omGraphics.NatCubicSpline
`calc, calc, calc, calc, calc, calc, calc, getSteps, setSteps, withSteps`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NatCubicSpline.CLOSED

    public NatCubicSpline.CLOSED()

Method Detail

### calc

    public float[][] calc(int[] xpoints,
                          int[] ypoints)

  Description copied from class: `NatCubicSpline`
  Calculates a cubic spline polyline

  Overrides:
    `calc` in class `NatCubicSpline`
  Returns:
    float[][]
  See Also:
    `NatCubicSpline.calc(int[], int[])`

### calc

    public double[] calc(double[] llpoints,
                         double precision)

  Description copied from class: `NatCubicSpline`
  Calculates a float lat/lon cubic spline

  Overrides:
    `calc` in class `NatCubicSpline`
    `precision` - for dividing floating coordinates to become int, e.g 0.01 means spline to be calculated with coordinates * 100
  Returns:
    float[]
  See Also:
    `NatCubicSpline.calc(double[], double)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details